summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastian Pipping <sping@gentoo.org>2018-05-16 20:37:47 +0200
committerSebastian Pipping <sping@gentoo.org>2018-05-16 20:38:51 +0200
commit3fc5f1c42cfd9bd82d56844bbf22b227550d6223 (patch)
tree99a00e04c72b1fc4d2d12b42832b0cc09d2b0777 /app-portage/elogv
parentdev-libs/opensc: version bump (diff)
downloadgentoo-3fc5f1c42cfd9bd82d56844bbf22b227550d6223.tar.gz
gentoo-3fc5f1c42cfd9bd82d56844bbf22b227550d6223.tar.bz2
gentoo-3fc5f1c42cfd9bd82d56844bbf22b227550d6223.zip
app-portage/elogv: 0.7.7 with Python 3
Package-Manager: Portage-2.3.36, Repoman-2.3.9
Diffstat (limited to 'app-portage/elogv')
-rw-r--r--app-portage/elogv/Manifest1
-rw-r--r--app-portage/elogv/elogv-0.7.7.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/app-portage/elogv/Manifest b/app-portage/elogv/Manifest
index eb26721b23a..14cc4b53b5a 100644
--- a/app-portage/elogv/Manifest
+++ b/app-portage/elogv/Manifest
@@ -4,3 +4,4 @@ DIST elogv-0.7.6.3.tar.gz 18424 BLAKE2B 8b62b278347ee25f2e45c87a98d0fcff34efe6aa
DIST elogv-0.7.6.4.tar.gz 18481 BLAKE2B b7a81e5d736b589cbee3cffbcd0df64c76ba83b12946283771e3cc91a96902de6b4ba37b950f335df1698945ed873734c9117667b4de0f54f228555f4d27b688 SHA512 e9331438552a63c26afc3f16ed4877298bb976a242639c0aae506507570b68cc677bc6e491f0b293a1986579c9edbab769b8d63924f9b0a18ad1e5a222f4d388
DIST elogv-0.7.6.5.tar.gz 19021 BLAKE2B 0b9f67357ac8fc617ca922a5de64da8559b98cd929d48ed8ba758f8e9a694c60c1e49c33d78aea8c4b5b5d7fc788595c56ff5903b9bc93f6cde5cd1128c6920b SHA512 4a596653ca1c1dc3c315cdf111ddf12d7af5514582da50bf659c48d063fd971c2466d1bd0e4fa1e92e71afaa9715024269cf7ed3a5969ce986742a2c5f648c4a
DIST elogv-0.7.6.6.tar.gz 19362 BLAKE2B 79ab57c2e30e077731836a3137889c7093fbddd0c10e1e0f3da3160dbb801e928e93a01d3cceadc6fe21f11a8d1eeecad713e915c4cee3cd3ee8ef8255540960 SHA512 d044feecbbef17d676551e545dcc4e6e27779668371d40d891d53bb7187474f665a422a732a0e95246fbd9d689ddeca509a74b6ce677f3a50871878e12895cba
+DIST elogv-0.7.7.tar.gz 19404 BLAKE2B 8fda3a3956a118031b42565b6b1a6c290383039c0aa640d332ae671299aa466d3ae6e5d23d2287b64079d8de15bdfbc57bfe445b1ec71a893264ce8ae410b153 SHA512 fa8a7ecd69d70b6a0c320a010cedee4b40323d9c1a018bacb0fa8ca085c7076a58ced3804aca98d847c30b43a8d7ceac166d8225de27097b1cb4181526ff3de8
diff --git a/app-portage/elogv/elogv-0.7.7.ebuild b/app-portage/elogv/elogv-0.7.7.ebuild
new file mode 100644
index 00000000000..a47dbd42eba
--- /dev/null
+++ b/app-portage/elogv/elogv-0.7.7.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+PYTHON_REQ_USE="ncurses"
+inherit distutils-r1
+
+DESCRIPTION="Curses based utility to parse the contents of elogs created by Portage"
+HOMEPAGE="https://github.com/gentoo/elogv"
+SRC_URI="https://github.com/gentoo/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+
+DOCS=( README )
+
+src_install() {
+ distutils-r1_src_install
+
+ # unset LINGUAS => install all languages
+ # empty LINGUAS => install none
+ local i
+ if [[ -n "${LINGUAS+x}" ]] ; then
+ for i in $(ls "${ED}"/usr/share/locale/) ; do
+ if ! has ${i} ${LINGUAS} ; then
+ rm -rf "${ED}"/usr/share/{locale,man}/${i}
+ fi
+ done
+ fi
+}
+
+pkg_postinst() {
+ elog "Optional dependencies:"
+ elog " dev-python/pyliblzma (for xz compressed elog files)"
+ elog
+ elog "In order to use this software, you need to activate"
+ elog "Portage's elog features. Required is"
+ elog " PORTAGE_ELOG_SYSTEM=\"save\" "
+ elog "and at least one out of "
+ elog " PORTAGE_ELOG_CLASSES=\"warn error info log qa\""
+ elog "More information on the elog system can be found"
+ elog "in ${EPREFIX}/usr/share/portage/config/make.conf.example"
+ elog
+ elog "To operate properly this software needs the directory"
+ elog "${PORT_LOGDIR:-${EPREFIX}/var/log/portage}/elog created, belonging to group portage."
+ elog "To start the software as a user, add yourself to the portage"
+ elog "group."
+ elog
+}